const createAnchorElement = (url: string, filename: string): HTMLAnchorElement => {
	const anchor = document.createElement('a');
	anchor.href = url;
	anchor.download = filename;
	return anchor;
};
export const download = async (url: string, filename: string) => {
	const response = await fetch(url);

	if (!response.ok) {
		throw new Error('Network response was not ok');
	}

	const blob = await response.blob();
	const objectURL = window.URL.createObjectURL(blob);
	const anchor = createAnchorElement(url, filename);
	document.body.appendChild(anchor);
	anchor.click();
	anchor.remove();
	window.URL.revokeObjectURL(objectURL);
};
